%bcond_without check

# https://github.com/letsencrypt/pebble
%global goipath github.com/letsencrypt/pebble
Version:        2.3.1

%gometa

%global common_description %{expand:
A miniature version of Boulder, Pebble is a small RFC 8555 ACME test server not
suited for a production certificate authority.}

%global golicenses      LICENSE
%global godocs  CODE_OF_CONDUCT.md README.md cmd/pebble-challtestsrv/challtestsrv-README.md

Name:           %{goname}
Release:        4%{?dist}
Summary:        Pebble is a miniature version of Boulder, a small RFC 8555 ACME test server

License:        MPLv2.0
URL:            %{gourl}
Source0:        %{gosource}

Patch1:         golang-github-letsencrypt-pebble-2.3.1-man-pages.patch

BuildRequires:  golang(github.com/letsencrypt/challtestsrv)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(gopkg.in/square/go-jose.v2)

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
mv cmd/pebble-challtestsrv/README.md challtestsrv-README.md

%build
for cmd in cmd/p* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_mandir}/man1
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
cp -a docs/man1/pebble* %{buildroot}%{_mandir}/man1/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CODE_OF_CONDUCT.md README.md challtestsrv-README.md
%{_bindir}/pebble*
%{_mandir}/man1/pebble*

%gopkgfiles

%changelog
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Paul Wouters <paul.wouters@aiven.io> - 2.3.1-3
- Remove duplicate install command

* Thu Dec 09 2021 Paul Wouters <paul.wouters@aiven.io> - 2.3.1-2
- Add man pages from upstream commit, fix double README.MD

* Mon Nov 22 2021 Paul Wouters <paul.wouters@aiven.io> - 2.3.1-1
- Initial package
